'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUIAvatar = function AUIAvatar(props) {
    var classes = (0, _classnames2.default)('aui-avatar', {
        'aui-avatar-project': props.isProject === true
    }, 'aui-avatar-' + props.size);
    return _react2.default.createElement(
        'span',
        { className: classes },
        _react2.default.createElement(
            'span',
            { className: 'aui-avatar-inner' },
            _react2.default.createElement('img', { src: props.src })
        )
    );
};

AUIAvatar.displayName = 'AUIAvatar';
AUIAvatar.propTypes = {
    src: _react.PropTypes.string,
    size: _react.PropTypes.oneOf(['xsmall', 'small', 'medium', 'large', 'xlarge', 'xxlarge', 'xxxlarge']),
    isProject: _react.PropTypes.bool
};

exports.default = AUIAvatar;