'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _AUIIcon = require('./AUIIcon');

var _AUIIcon2 = _interopRequireDefault(_AUIIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var AUIButton = function AUIButton(props) {
    var icon = props.icon,
        type = props.type,
        disabled = props.disabled,
        children = props.children,
        className = props.className,
        otherProps = _objectWithoutProperties(props, ['icon', 'type', 'disabled', 'children', 'className']);

    var iconComponent = null;

    if (icon) {
        iconComponent = _react2.default.createElement(
            'span',
            null,
            _react2.default.createElement(_AUIIcon2.default, { icon: icon }),
            '\xA0'
        );
    }
    var typeClass = void 0;
    if (type) {
        typeClass = 'aui-button-' + type;
    }

    var classes = (0, _classnames2.default)('aui-button', typeClass);
    if (className) {
        classes += ' ' + className;
    }

    return _react2.default.createElement(
        'button',
        _extends({ className: classes, 'aria-disabled': disabled }, otherProps),
        iconComponent,
        children
    );
};

AUIButton.defaultProps = {
    className: ''
};

AUIButton.displayName = 'AUIButton';
AUIButton.propTypes = {
    /**
     * The type of the button link, primary or subtle
     */
    type: _react.PropTypes.oneOf(['link', 'primary', 'subtle']),
    /**
     * The icon to show in the button
     */
    icon: _react.PropTypes.string,
    /**
     * Disabled
     */
    disabled: _react.PropTypes.bool,
    /**
     * The children of the button
     */
    children: _react.PropTypes.oneOfType([_react.PropTypes.element, _react.PropTypes.string]),
    className: _react.PropTypes.string
};

exports.default = AUIButton;