'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUIIcon = function AUIIcon(props) {
  var iconfontClass = void 0;
  var customStyle = void 0;
  var className = props.className;
  var icon = props.icon,
      size = props.size,
      style = props.style,
      useIconFont = props.useIconFont,
      customIcon = props.customIcon,
      onClick = props.onClick,
      onMouseEnter = props.onMouseEnter,
      onMouseLeave = props.onMouseLeave,
      children = props.children;


  if (icon) {
    iconfontClass = useIconFont ? 'aui-iconfont-' + icon : 'aui-icon-' + icon;
  }

  className = (0, _classnames2.default)('aui-icon', 'aui-icon-' + size, iconfontClass, className);

  customStyle = style || {};
  if (customIcon) {
    customStyle.backgroundImage = 'url(' + customIcon + ')';
  }

  return _react2.default.createElement(
    'span',
    { className: className, style: customStyle, onClick: onClick, onMouseEnter: onMouseEnter, onMouseLeave: onMouseLeave },
    children
  );
};

AUIIcon.defaultProps = {
  useIconFont: true,
  size: 'small'
};
AUIIcon.displayName = 'AUIIcon';
AUIIcon.propTypes = {
  /**
   * Icon innerHtml text/code (could be a string or an element)
   */
  children: _react.PropTypes.oneOfType([_react.PropTypes.element, _react.PropTypes.string]),

  /**
   * Icon specific style
   */
  style: _react.PropTypes.object,

  /**
   * Type of icon size
   */
  size: _react.PropTypes.oneOf(['small', 'medium', 'large']),

  /**
   * Icon kind
   */
  icon: _react.PropTypes.string,

  /**
   * Replacement for Icon `background-image`
   */
  customIcon: _react.PropTypes.string,

  /**
   * Custom ClassName
   */
  className: _react.PropTypes.string,

  /**
   * Flag to define we are using icon of iconfont
   */
  useIconFont: _react.PropTypes.bool,

  /**
   * A click event bound on the icon
   */
  onClick: _react.PropTypes.func,

  /**
   * A mouse entering event bound on the icon
   */
  onMouseEnter: _react.PropTypes.func,

  /**
   * A mouse leaving event bound on the icon
   */
  onMouseLeave: _react.PropTypes.func
};

exports.default = AUIIcon;