'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUIMessage = function AUIMessage(_ref) {
    var type = _ref.type,
        title = _ref.title,
        children = _ref.children,
        isCloseable = _ref.isCloseable,
        onClose = _ref.onClose;

    var typeClass = void 0;
    if (type) {
        typeClass = 'aui-message-' + type;
    }
    var classes = (0, _classnames2.default)('aui-message', typeClass, { closeable: isCloseable });

    return _react2.default.createElement(
        'div',
        { className: classes },
        !title ? null : _react2.default.createElement(
            'p',
            { className: 'title' },
            _react2.default.createElement(
                'strong',
                null,
                title
            )
        ),
        isCloseable ? _react2.default.createElement('span', { className: 'aui-icon icon-close', role: 'button', tabIndex: '0', onClick: onClose }) : null,
        children
    );
};

AUIMessage.displayName = 'AUIMessage';
AUIMessage.propTypes = {
    children: _react2.default.PropTypes.oneOfType([_react2.default.PropTypes.string, _react2.default.PropTypes.element]).isRequired,
    title: _react2.default.PropTypes.string,
    isCloseable: _react2.default.PropTypes.bool,
    type: _react2.default.PropTypes.oneOf(['warning', 'error', 'success', 'hint', 'info']),
    /**
     * Callback for closing AUIMessage
     */
    onClose: _react2.default.PropTypes.func
};

exports.default = AUIMessage;