'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUINav = function AUINav(_ref) {
    var options = _ref.options,
        children = _ref.children;

    var dataDrivenOptions = void 0;

    if (options) {
        dataDrivenOptions = options.map(function (option) {
            return _react2.default.createElement(
                'li',
                { key: option.props.to },
                option
            );
        });
    }

    return _react2.default.createElement(
        'ul',
        { className: 'aui-nav' },
        dataDrivenOptions,
        children
    );
};

AUINav.propTypes = {
    onChange: _react2.default.PropTypes.func,
    options: _react2.default.PropTypes.array,
    selected: _react2.default.PropTypes.string,
    children: _react2.default.PropTypes.node
};

AUINav.displayName = 'AUINav';

exports.default = AUINav;