"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUIPagePanel = function AUIPagePanel(props) {
    var nav = void 0;
    if (props.nav) {
        nav = _react2.default.createElement(
            "div",
            { className: "aui-page-panel-nav" },
            props.nav
        );
    }

    var aside = void 0;
    if (props.aside) {
        aside = _react2.default.createElement(
            "div",
            { className: "aui-page-panel-sidebar content-sidebar" },
            props.aside
        );
    }

    return _react2.default.createElement(
        "div",
        { className: "aui-page-panel", style: props.style },
        _react2.default.createElement(
            "div",
            { className: "aui-page-panel-inner" },
            nav,
            _react2.default.createElement(
                "section",
                { className: "aui-page-panel-content content-body" },
                props.children
            ),
            aside
        )
    );
};

AUIPagePanel.displayName = 'AUIPagePanel';
AUIPagePanel.propTypes = {
    children: _react.PropTypes.oneOfType([_react.PropTypes.element, _react.PropTypes.arrayOf(_react.PropTypes.element)]),
    nav: _react.PropTypes.element,
    aside: _react.PropTypes.element,
    style: _react.PropTypes.object
};

exports.default = AUIPagePanel;