'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _AUINav = require('./AUINav');

var _AUINav2 = _interopRequireDefault(_AUINav);

var _AUINavHeading = require('./AUINavHeading');

var _AUINavHeading2 = _interopRequireDefault(_AUINavHeading);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUISidebarGroup = function AUISidebarGroup(props) {
    var groupId = props.groupId,
        tier = props.tier,
        heading = props.heading,
        options = props.options,
        children = props.children,
        className = props.className;

    var classes = (0, _classnames2.default)('aui-sidebar-group', 'aui-sidebar-group-tier-' + tier, groupId, className);

    var header = typeof heading === 'string' ? _react2.default.createElement(
        _AUINavHeading2.default,
        null,
        heading
    ) : heading;

    return _react2.default.createElement(
        'div',
        { id: groupId, style: { paddingTop: 15 }, className: classes },
        _react2.default.createElement(
            'div',
            { className: 'aui-navgroup-inner' },
            header,
            _react2.default.createElement(
                _AUINav2.default,
                { options: options },
                children
            )
        )
    );
};

AUISidebarGroup.displayName = 'AUISidebarGroup';

AUISidebarGroup.propTypes = {
    className: _react.PropTypes.string,
    children: _react.PropTypes.node,
    options: _react.PropTypes.array,
    groupId: _react.PropTypes.string.isRequired,
    heading: _react2.default.PropTypes.oneOfType([_react.PropTypes.string, _react.PropTypes.element]).isRequired,
    tier: _react.PropTypes.string
};

AUISidebarGroup.defaultProps = {
    tier: 'one'
};

exports.default = AUISidebarGroup;