'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var AUITooltip = function AUITooltip(props) {
    var gravity = props.gravity,
        children = props.children,
        otherProps = _objectWithoutProperties(props, ['gravity', 'children']);

    return _react2.default.createElement(
        'div',
        _extends({ role: 'tooltip', className: 'tipsy tipsy-' + gravity }, otherProps),
        _react2.default.createElement('div', { className: 'tipsy-arrow tipsy-arrow-' + gravity }),
        _react2.default.createElement(
            'div',
            { className: 'tipsy-inner' },
            children
        )
    );
};

AUITooltip.displayName = 'AUITooltip';

AUITooltip.defaultProps = {
    style: {}
};

AUITooltip.propTypes = {
    /**
     * Children elements such as title for the tooltip
     */
    children: _react.PropTypes.oneOfType([_react.PropTypes.string, _react.PropTypes.element]),
    /**
     * Direction and position for the tooltip
     */
    gravity: _react.PropTypes.oneOf(['n', 'ne', 'e', 'se', 's', 'sw', 'w', 'nw']).isRequired,
    /**
     * Custom style
     */
    style: _react.PropTypes.object,
    /**
     * On mouse enter event handler
     */
    onMouseEnter: _react.PropTypes.func,
    /**
     * On mouse leave event handler
     */
    onMouseLeave: _react.PropTypes.func
};

exports.default = AUITooltip;